none
BinScope validation Uuid.lib RRS feed

  • Question

  • dear respected members

    we are try to run binscope on our one of the binaries. and getting the following failure.

    Failed checks
    C:\Users\XYZPS.dll - CompilerVersionCheck ( FAIL ) 
    BadModules : 
    oaidl_i.obj (uuid.lib) built with C compiler version 13.10.4035.0 (Frontend version: 13.10.4035.0).

    we have tried to link it with latast "Uuid.lib" found in "C:\Program Files\Microsoft SDKs\Windows\v7.0A\Lib". but still getting the same error.
    it looks that the object file "oaidl_i.obj" was itself linked with probably older compiler.

    please let us know how to fix this issue

    regards

    D

    • Edited by deep_Sh Monday, September 10, 2012 7:04 AM
    Monday, September 10, 2012 7:03 AM

Answers

  • deep_Sh - some of the libs that come with the SDK are indeed built with an older compiler version. Most of them don't contain executable code, so this is not a big problem from the security standpoint. The guidance we typically give in situations like this is - attempt to locate the latest available SDK which may have newer libs. If unable there is really no way to resolve this problem aside from waiting for an even newer SDK to be released.
    Thursday, September 20, 2012 6:52 PM

All replies

  • deep_Sh - some of the libs that come with the SDK are indeed built with an older compiler version. Most of them don't contain executable code, so this is not a big problem from the security standpoint. The guidance we typically give in situations like this is - attempt to locate the latest available SDK which may have newer libs. If unable there is really no way to resolve this problem aside from waiting for an even newer SDK to be released.
    Thursday, September 20, 2012 6:52 PM
  • dear Ivan,

    yes it did help, we built the entire component with latest SDK and it worked fine thank you very much.

    Regards

    Wednesday, November 28, 2012 8:31 AM